/// <reference types="node" />
import { Compiler, WebpackPluginInstance } from 'webpack';
export declare type RunScriptWebpackPluginOptions = {
    autoRestart?: boolean;
    args: string[];
    cwd?: string;
    env?: NodeJS.ProcessEnv;
    keyboard: boolean;
    name?: string;
    nodeArgs: string[];
    restartable?: boolean;
    signal: boolean | string;
};
export declare class RunScriptWebpackPlugin implements WebpackPluginInstance {
    private readonly options;
    private worker?;
    private _entrypoint?;
    constructor(options?: Partial<RunScriptWebpackPluginOptions>);
    private _enableRestarting;
    private _restartServer;
    private afterEmit;
    apply: (compiler: Compiler) => void;
    private startServer;
    private _startServer;
    private _stopServer;
}
